Skip to main content
`Ctrl`+`K`

# PetscSFDestroy

destroy a star forest

## Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFDestroy(PetscSF *sf)

Collective

## Input Parameter

- sf - address of star forest

## See Also

PetscSF - an alternative to low-level MPI calls for data communication, `PetscSF`, `PetscSFType`, `PetscSFCreate()`, `PetscSFReset()`

## Level

intermediate

## Location

src/vec/is/sf/interface/sf.c

## Examples

src/ts/tutorials/ex30.c
src/dm/impls/plex/tutorials/ex14.c
src/dm/impls/plex/tutorials/ex14f90.F90
src/dm/tutorials/ex25.c
src/vec/is/sf/tutorials/ex2.c
src/vec/is/sf/tutorials/ex3.c
src/vec/is/sf/tutorials/ex1f.F90
src/vec/is/sf/tutorials/ex1.c
src/dm/impls/plex/tutorials/ex15.c

## Implementations

PetscSFDestroy_Allgatherv() in src/vec/is/sf/impls/basic/allgatherv/sfallgatherv.c
PetscSFDestroy_Neighbor() in src/vec/is/sf/impls/basic/neighbor/sfneighbor.c
PetscSFDestroy_Basic() in src/vec/is/sf/impls/basic/sfbasic.c
PetscSFDestroy_Window() in src/vec/is/sf/impls/window/sfwindow.c

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages